hsm_key Struct Reference

`#include <hsm_key.h>`

## Data Fields

db_object_t * | dbo
db_value_t | id
db_value_t | rev
db_value_t | policy_id
const policy_t * | associated_policy_id
policy_t * | private_policy_id
char * | locator
hsm_key_state_t | state
unsigned int | bits
unsigned int | algorithm
hsm_key_role_t | role
unsigned int | inception
unsigned int | is_revoked
hsm_key_key_type_t | key_type
char * | repository
hsm_key_backup_t | backup

## Detailed Description

A hsm key object.

Definition at line 79 of file hsm_key.h.

## Field Documentation

## algorithm

unsigned int hsm_key::algorithm

Definition at line 89 of file hsm_key.h.

Referenced by hsm_key_algorithm(), hsm_key_copy(), hsm_key_create(), hsm_key_from_result(), hsm_key_new(), hsm_key_set_algorithm(), and hsm_key_update().

## associated_policy_id

const policy_t* hsm_key::associated_policy_id

Definition at line 84 of file hsm_key.h.

Referenced by hsm_key_copy().

## backup

hsm_key_backup_t hsm_key::backup

Definition at line 95 of file hsm_key.h.

Referenced by hsm_key_backup(), hsm_key_copy(), hsm_key_create(), hsm_key_from_result(), hsm_key_new(), hsm_key_set_backup(), and hsm_key_update().

## bits

unsigned int hsm_key::bits

Definition at line 88 of file hsm_key.h.

Referenced by hsm_key_bits(), hsm_key_copy(), hsm_key_create(), hsm_key_from_result(), hsm_key_new(), hsm_key_set_bits(), and hsm_key_update().

## dbo

db_object_t* hsm_key::dbo

Definition at line 80 of file hsm_key.h.

Referenced by hsm_key_count(), hsm_key_create(), hsm_key_factory_delete_key(), hsm_key_free(), hsm_key_get_by_id(), hsm_key_get_by_locator(), hsm_key_new(), hsm_key_new_copy(), and hsm_key_update().

## id

db_value_t hsm_key::id

Definition at line 81 of file hsm_key.h.

Referenced by hsm_key_copy(), hsm_key_create(), hsm_key_free(), hsm_key_from_result(), hsm_key_id(), hsm_key_new(), and hsm_key_update().

## inception

unsigned int hsm_key::inception

Definition at line 91 of file hsm_key.h.

Referenced by hsm_key_copy(), hsm_key_create(), hsm_key_from_result(), hsm_key_inception(), hsm_key_set_inception(), and hsm_key_update().

## is_revoked

unsigned int hsm_key::is_revoked

Definition at line 92 of file hsm_key.h.

Referenced by hsm_key_copy(), hsm_key_create(), hsm_key_from_result(), and hsm_key_update().

## key_type

hsm_key_key_type_t hsm_key::key_type

Definition at line 93 of file hsm_key.h.

Referenced by hsm_key_copy(), hsm_key_create(), hsm_key_from_result(), hsm_key_new(), hsm_key_set_key_type(), and hsm_key_update().

## locator

char* hsm_key::locator

Definition at line 86 of file hsm_key.h.

Referenced by hsm_key_copy(), hsm_key_create(), hsm_key_free(), hsm_key_from_result(), hsm_key_locator(), hsm_key_set_locator(), and hsm_key_update().

## policy_id

db_value_t hsm_key::policy_id

Definition at line 83 of file hsm_key.h.

Referenced by hsm_key_copy(), hsm_key_create(), hsm_key_free(), hsm_key_from_result(), hsm_key_new(), hsm_key_policy_id(), hsm_key_set_policy_id(), and hsm_key_update().

## private_policy_id

policy_t* hsm_key::private_policy_id

Definition at line 85 of file hsm_key.h.

Referenced by hsm_key_copy(), and hsm_key_free().

## repository

char* hsm_key::repository

Definition at line 94 of file hsm_key.h.

Referenced by hsm_key_copy(), hsm_key_create(), hsm_key_free(), hsm_key_from_result(), hsm_key_repository(), hsm_key_set_repository(), and hsm_key_update().

## rev

db_value_t hsm_key::rev

Definition at line 82 of file hsm_key.h.

Referenced by hsm_key_copy(), hsm_key_create(), hsm_key_factory_delete_key(), hsm_key_free(), hsm_key_from_result(), hsm_key_new(), and hsm_key_update().

## role

hsm_key_role_t hsm_key::role

Definition at line 90 of file hsm_key.h.

Referenced by hsm_key_copy(), hsm_key_create(), hsm_key_from_result(), hsm_key_new(), hsm_key_role(), hsm_key_set_role(), and hsm_key_update().

## state

hsm_key_state_t hsm_key::state

Definition at line 87 of file hsm_key.h.

Referenced by hsm_key_copy(), hsm_key_create(), hsm_key_from_result(), hsm_key_new(), hsm_key_set_state(), hsm_key_state(), and hsm_key_update().

The documentation for this struct was generated from the following file:

- src/db/hsm_key.h